package com.zjrs.ggfw.rlzysc.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

@TableName("V_RS_RLZY_HJQK") //获奖情况
public class RsRlzyHjqkPO {
    @TableId(value = "rs_rlzy_hjqk_lsh", type = IdType.ASSIGN_UUID)
    @TableField(value = "rs_rlzy_hjqk_lsh")
    private String rsrlzyhjqklsh;//获奖情况流水号

    @TableField(value = "rs_yhlsh")
    private String rsyhlsh;//用户流水号

    private String zsmc;//证书名称
    private String hqsj;//获取时间
    private String bjjg;//颁奖机构
    private String js;//角色
    private String cgmc;//成果名称
    private String cgsm;//成果说明
    private String qtsm;//其他说明

    @TableField(value = "ts_cjr")
    private String tscjr;//创建人

    @TableField(value = "ts_cjsj")
    private String tscjsj;//创建时间

    @TableField(value = "ts_xgr")
    private String tsxgr;//修改人

    @TableField(value = "ts_xgsj")
    private String tsxgsj;//修改时间

    @TableField(value = "ts_yxbz")
    private String tsyxbz;//有效标志

    @TableField(exist = false)
    private String dyblsh;//对应表流水号

    public void setDyblsh(String dyblsh) {
        this.dyblsh = dyblsh;
    }

    public String getDyblsh() {
        return dyblsh;
    }

    public String getRsrlzyhjqklsh() {
        return rsrlzyhjqklsh;
    }

    public void setRsrlzyhjqklsh(String rsrlzyhjqklsh) {
        this.rsrlzyhjqklsh = rsrlzyhjqklsh;
    }

    public String getRsyhlsh() {
        return rsyhlsh;
    }

    public void setRsyhlsh(String rsyhlsh) {
        this.rsyhlsh = rsyhlsh;
    }

    public String getZsmc() {
        return zsmc;
    }

    public void setZsmc(String zsmc) {
        this.zsmc = zsmc;
    }

    public String getHqsj() {
        return hqsj;
    }

    public void setHqsj(String hqsj) {
        this.hqsj = hqsj;
    }

    public String getBjjg() {
        return bjjg;
    }

    public void setBjjg(String bjjg) {
        this.bjjg = bjjg;
    }

    public String getJs() {
        return js;
    }

    public void setJs(String js) {
        this.js = js;
    }

    public String getCgmc() {
        return cgmc;
    }

    public void setCgmc(String cgmc) {
        this.cgmc = cgmc;
    }

    public String getCgsm() {
        return cgsm;
    }

    public void setCgsm(String cgsm) {
        this.cgsm = cgsm;
    }

    public String getQtsm() {
        return qtsm;
    }

    public void setQtsm(String qtsm) {
        this.qtsm = qtsm;
    }

    public String getTscjr() {
        return tscjr;
    }

    public void setTscjr(String tscjr) {
        this.tscjr = tscjr;
    }

    public String getTscjsj() {
        return tscjsj;
    }

    public void setTscjsj(String tscjsj) {
        this.tscjsj = tscjsj;
    }

    public String getTsxgr() {
        return tsxgr;
    }

    public void setTsxgr(String tsxgr) {
        this.tsxgr = tsxgr;
    }

    public String getTsxgsj() {
        return tsxgsj;
    }

    public void setTsxgsj(String tsxgsj) {
        this.tsxgsj = tsxgsj;
    }

    public String getTsyxbz() {
        return tsyxbz;
    }

    public void setTsyxbz(String tsyxbz) {
        this.tsyxbz = tsyxbz;
    }
}


